Package org.apache.sling.feature.cpconverter.handlers.slinginitialcontent

## Class AssemblerProvider

- java.lang.Object
- - org.apache.sling.feature.cpconverter.handlers.slinginitialcontent.AssemblerProvider

    public class AssemblerProvider
    extends Object

Encapsulates the VaultPackage assembler logic for the sling initial content extraction

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`@NotNull Set<Map.Entry<org.apache.jackrabbit.vault.packaging.PackageType,​VaultPackageAssembler>>` `getPackageAssemblerEntrySet()`
`@NotNull VaultPackageAssembler` `initPackageAssemblerForPath​(@NotNull BundleSlingInitialContentExtractContext context, @NotNull String repositoryPath, @NotNull org.apache.sling.jcr.contentloader.PathEntry pathEntry)` Lazily initializes the cache with the necessary VaultPackageAssemblers

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initPackageAssemblerForPath

    @NotNull
    public @NotNull VaultPackageAssembler initPackageAssemblerForPath​(@NotNull
                                                                      @NotNull BundleSlingInitialContentExtractContext context,
                                                                      @NotNull
                                                                      @NotNull String repositoryPath,
                                                                      @NotNull
                                                                      @NotNull org.apache.sling.jcr.contentloader.PathEntry pathEntry)
                                                               throws ConverterException

Lazily initializes the cache with the necessary VaultPackageAssemblers

Parameters:
  `repositoryPath` - repository path of the sling initial content entry
Returns:
  the VaultPackageAssembler from the cache to use for the given repository path
Throws:
  `ConverterException`

#### getPackageAssemblerEntrySet

    @NotNull
    public @NotNull Set<Map.Entry<org.apache.jackrabbit.vault.packaging.PackageType,​VaultPackageAssembler>> getPackageAssemblerEntrySet()

#### clear

    public void clear()